package com.dxhy.core.dao;


import com.dxhy.core.entity.GsClient;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface GsClientMapper {
    int deleteByPrimaryKey(Integer id);

    int deleteAll();

    int insert(GsClient record);

    int insertSelective(GsClient record);

    int insertList(@Param("list") List<GsClient> recordList);

    GsClient selectByPrimaryKey(Integer id);



    List<GsClient> selectByGsdm(String gsdm);

    int updateByPrimaryKeySelective(GsClient record);

    int updateByPrimaryKey(GsClient record);
}